# Uses of Class
io.dapr.actors.ActorId

Packages that use ActorId
Package
Description
io.dapr.actors
io.dapr.actors.client
io.dapr.actors.runtime

## Uses of ActorId in io.dapr.actors

Methods in io.dapr.actors that return ActorId
Modifier and Type
Method
Description
`static ActorId`
ActorId.`createRandom()`
Creates a new ActorId with a random id.
Methods in io.dapr.actors with parameters of type ActorId
Modifier and Type
Method
Description
`int`
ActorId.`compareTo(ActorId other)`
Compares this instance with a specified {link #ActorId} object and indicates whether this instance precedes, follows, or appears in the same position in the sort order as the specified actorId.

## Uses of ActorId in io.dapr.actors.client

Methods in io.dapr.actors.client that return ActorId
Modifier and Type
Method
Description
`ActorId`
ActorProxy.`getActorId()`
Returns the ActorId associated with the proxy object.
Methods in io.dapr.actors.client with parameters of type ActorId
Modifier and Type
Method
Description
`T`
ActorProxyBuilder.`build(ActorId actorId)`
Instantiates a new ActorProxy.

## Uses of ActorId in io.dapr.actors.runtime

Methods in io.dapr.actors.runtime that return ActorId
Modifier and Type
Method
Description
`protected ActorId`
AbstractActor.`getId()`
Returns the id of the actor.
Methods in io.dapr.actors.runtime with parameters of type ActorId
Modifier and Type
Method
Description
`T`
ActorFactory.`createActor(ActorRuntimeContext<T> actorRuntimeContext, ActorId actorId)`
Creates an Actor.
Constructors in io.dapr.actors.runtime with parameters of type ActorId
Modifier
Constructor
Description
`protected`
`AbstractActor(ActorRuntimeContext runtimeContext, ActorId id)`
Instantiates a new Actor.